<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

   <ejb-jar>
      <description>Supplier Domain</description>
      <display-name>Supplier</display-name>
      <enterprise-beans>
         <session>
            <description>Receiver Session Bean</description>
            <display-name>ReceiverSes</display-name>
            <ejb-name>ReceiverSes</ejb-name>
            <home>org.spec.jappserver.supplier.receiverses.ejb.ReceiverSesHome</home>
            <remote>org.spec.jappserver.supplier.receiverses.ejb.ReceiverSes</remote>
            <ejb-class>org.spec.jappserver.supplier.receiverses.ejb.ReceiverSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry>
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
               <description>Component Entity Bean</description>
               <ejb-ref-name>ejb/SComponentLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntLocal</local>
               <ejb-link>SComponentEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref>
               <description>Purchase Order Entity Bean</description>
               <ejb-ref-name>ejb/POEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.poent.ejb.POEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.poent.ejb.POEntLocal</local>
               <ejb-link>POEnt</ejb-link>
            </ejb-local-ref>
            <resource-ref>
            	<description></description>
            	<res-ref-name>jms/QueueConnectionFactory</res-ref-name>
            	<res-type>javax.jms.QueueConnectionFactory</res-type>
            	<res-auth>Application</res-auth>
            	<res-sharing-scope>Shareable</res-sharing-scope>
            </resource-ref>
            <resource-env-ref>
            	<description></description>
            	<resource-env-ref-name>jms/ReceiveQueue</resource-env-ref-name>
            	<resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
            </resource-env-ref>
         </session>
         <entity>
            <description>Supplier Entity Bean</description>
            <display-name>SupplierEnt</display-name>
            <ejb-name>SupplierEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.supplierent.ejb.SupplierEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.supplierent.ejb.SupplierEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.supplierent.ejb.SupplierCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>SupplierEnt</abstract-schema-name>
            <cmp-field>
               <field-name>suppID</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppName</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppStreet1</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppStreet2</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppCity</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppState</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppCountry</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppZip</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppPhone</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppContact</field-name>
            </cmp-field>
            <primkey-field>suppID</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
               <ejb-ref-name>ejb/SupplierCompEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompEntLocal</local>
               <ejb-link>SupplierCompEnt</ejb-link>
            </ejb-local-ref>
            <query>
               <query-method>
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM SupplierEnt AS a</ejb-ql>
            </query>
         </entity>
         <entity>
            <description>SupplierComponent Entity Bean</description>
            <display-name>SupplierCompEnt</display-name>
            <ejb-name>SupplierCompEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.suppliercompent.ejb.SupplierCompCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>org.spec.jappserver.supplier.suppliercompent.ejb.SuppCompEntPK</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>SupplierCompEnt</abstract-schema-name>
            <cmp-field>
               <field-name>suppCompID</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppCompSuppID</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppCompPrice</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppCompQty</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppCompDiscount</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>suppCompDelDate</field-name>
            </cmp-field>
            <env-entry>
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query>
               <query-method>
                  <method-name>findAllBySupplier</method-name>
                  <method-params>
                     <method-param>int</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM SupplierCompEnt AS a WHERE a.suppCompSuppID = ?1</ejb-ql>
            </query>
         </entity>
         <entity>
            <description>Component Entity Bean</description>
            <display-name>SComponentEnt</display-name>
            <ejb-name>SComponentEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.scomponentent.ejb.SComponentCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>SComponentEnt</abstract-schema-name>
            <cmp-field>
               <field-name>compID</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>compName</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>compDesc</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>compUnit</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>compCost</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>qtyOnOrder</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>qtyDemanded</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>leadTime</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>containerSize</field-name>
            </cmp-field>
            <primkey-field>compID</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query>
               <query-method>
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM SComponentEnt AS a</ejb-ql>
            </query>
         </entity>
         <entity>
            <description>PurchaseOrder Entity bean</description>
            <display-name>POEnt</display-name>
            <ejb-name>POEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.poent.ejb.POEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.poent.ejb.POEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.poent.ejb.POCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>POEnt</abstract-schema-name>
            <cmp-field>
               <field-name>poNumber</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>poSuppID</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>poSiteID</field-name>
            </cmp-field>
            <primkey-field>poNumber</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <env-entry>
               <description>location of po.dtd file</description>
               <env-entry-name>poDTD</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>http://-JAS_HOST-:-JAS_PORT--JAS_PREFIX-Supplier/dtd/po.dtd</env-entry-value>
            </env-entry>
            <ejb-ref>
               <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
               <ejb-ref-type>Session</ejb-ref-type>
               <home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
               <remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
               <ejb-link>SequenceSes</ejb-link>
            </ejb-ref>
            <ejb-local-ref>
               <ejb-ref-name>ejb/POLineEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.polineent.ejb.POLineEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.polineent.ejb.POLineEntLocal</local>
               <ejb-link>POLineEnt</ejb-link>
            </ejb-local-ref>
         </entity>
         <entity>
            <description>PurchaseOrderLine Entity Bean</description>
            <display-name>POLineEnt</display-name>
            <ejb-name>POLineEnt</ejb-name>
            <local-home>org.spec.jappserver.supplier.polineent.ejb.POLineEntHomeLocal</local-home>
            <local>org.spec.jappserver.supplier.polineent.ejb.POLineEntLocal</local>
            <ejb-class>org.spec.jappserver.supplier.polineent.ejb.POLineCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>org.spec.jappserver.supplier.polineent.ejb.POLineEntPK</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>POLineEnt</abstract-schema-name>
            <cmp-field>
               <field-name>poLineNumber</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>poLinePoID</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>poLineID</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>poLineQty</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>poLineBalance</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>poLineDelDate</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>poLineMsg</field-name>
            </cmp-field>
            <env-entry>
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
               <description>Component Entity Bean</description>
               <ejb-ref-name>ejb/SComponentLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntLocal</local>
               <ejb-link>SComponentEnt</ejb-link>
            </ejb-local-ref>
            <query>
               <query-method>
                  <method-name>findByPO</method-name>
                  <method-params>
                     <method-param>java.lang.Integer</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM POLineEnt AS a WHERE a.poLinePoID = ?1</ejb-ql>
            </query>
         </entity>
         <session>
            <description>Supplier Auditing Session Bean</description>
            <display-name>SupplierAuditSes</display-name>
            <ejb-name>SupplierAuditSes</ejb-name>
            <home>org.spec.jappserver.supplier.supplierauditses.ejb.SupplierAuditSesHome</home>
            <remote>org.spec.jappserver.supplier.supplierauditses.ejb.SupplierAuditSes</remote>
            <ejb-class>org.spec.jappserver.supplier.supplierauditses.ejb.SupplierAuditSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry>
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <env-entry>
               <description>Emulator URL to obtain Delivery Count From</description>
               <env-entry-name>deliveryServlet</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>http://-EMULATOR_HOST-:-EMULATOR_PORT--EMULATOR_PREFIX-Emulator/EmulatorServlet?cmd=getDeliveryCount</env-entry-value>
            </env-entry>
            <env-entry>
               <description>Emulator URL to obtain Emulator Count From</description>
               <env-entry-name>emulatorServlet</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>http://-EMULATOR_HOST-:-EMULATOR_PORT--EMULATOR_PREFIX-Emulator/EmulatorServlet?cmd=getEmulatorCount</env-entry-value>
            </env-entry>
            <resource-ref>
               <description>Supplier DB dataSource</description>
               <res-ref-name>SupplierDataSource</res-ref-name>
               <res-type>javax.sql.DataSource</res-type>
               <res-auth>Container</res-auth>
            </resource-ref>
         </session>
         <message-driven>
            <display-name>BuyerMDB</display-name>
         	<ejb-name>BuyerMDB</ejb-name>
         	<ejb-class>org.spec.jappserver.supplier.buyermdb.ejb.BuyerMDB</ejb-class>
         	<transaction-type>Container</transaction-type>
         	<message-driven-destination>
         		<destination-type>javax.jms.Queue</destination-type>
         	</message-driven-destination>
         	<env-entry>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <env-entry>
               <env-entry-name>secureHTTP</env-entry-name>
               <env-entry-type>java.lang.Boolean</env-entry-type>
               <env-entry-value>false</env-entry-value>
            </env-entry>
            <env-entry>
               <env-entry-name>servlet</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>-EMULATOR_PREFIX-Emulator/EmulatorServlet</env-entry-value>
            </env-entry>
            <env-entry>
               <env-entry-name>servletHost</env-entry-name>
               <env-entry-type>java.lang.String</env-entry-type>
               <env-entry-value>-EMULATOR_HOST-</env-entry-value>
            </env-entry>
            <env-entry>
               <env-entry-name>servletPort</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>-EMULATOR_PORT-</env-entry-value>
            </env-entry>
         	<ejb-local-ref>
         		<description></description>
         		<ejb-ref-name>ejb/SComponentLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntHomeLocal</local-home>
         		<local>org.spec.jappserver.supplier.scomponentent.ejb.SComponentEntLocal</local>
         		<ejb-link>SComponentEnt</ejb-link>
         	</ejb-local-ref>
         	<ejb-local-ref>
         		<description></description>
         		<ejb-ref-name>ejb/POEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.supplier.poent.ejb.POEntHomeLocal</local-home>
         		<local>org.spec.jappserver.supplier.poent.ejb.POEntLocal</local>
         		<ejb-link>POEnt</ejb-link>
         	</ejb-local-ref>
         	<ejb-local-ref>
         		<description></description>
         		<ejb-ref-name>ejb/SupplierLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.supplier.supplierent.ejb.SupplierEntHomeLocal</local-home>
         		<local>org.spec.jappserver.supplier.supplierent.ejb.SupplierEntLocal</local>
         		<ejb-link>SupplierEnt</ejb-link>
         	</ejb-local-ref>
         </message-driven>
      </enterprise-beans>
      <relationships>
         <ejb-relation>
            <description>Po-PoLine</description>
            <ejb-relation-name>Po-PoLine</ejb-relation-name>
            <ejb-relationship-role>
               <ejb-relationship-role-name>Po-has-many-PoLine</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source>
                  <ejb-name>POEnt</ejb-name>
               </relationship-role-source>
               <cmr-field>
                  <cmr-field-name>poLines</cmr-field-name>
                  <cmr-field-type>java.util.Collection</cmr-field-type>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role>
               <ejb-relationship-role-name>PoLine-belongs-to-Po</ejb-relationship-role-name>
               <multiplicity>Many</multiplicity>
               <cascade-delete></cascade-delete>
               <relationship-role-source>
                  <ejb-name>POLineEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
      </relationships>
      <assembly-descriptor>
         <container-transaction>
            <description></description>
            <method>
               <description></description>
               <ejb-name>ReceiverSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <description></description>
            <method>
               <description></description>
               <ejb-name>SupplierEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <description></description>
            <method>
               <description></description>
               <ejb-name>SupplierCompEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <description></description>
            <method>
               <description></description>
               <ejb-name>POEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <description></description>
            <method>
               <description></description>
               <ejb-name>POLineEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <description></description>
            <method>
               <description></description>
               <ejb-name>SComponentEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>SupplierAuditSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <description></description>
            <method>
               <description></description>
               <ejb-name>BuyerMDB</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
      </assembly-descriptor>
   </ejb-jar>
